# SaveStateToPlayerPrefs(string)

Method in [DialogueRunner](/2.3/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md)

## Summary

Saves all variables in the Dialogue Runner's variable storage into the `UnityEngine.PlayerPrefs` object.

```csharp
public void SaveStateToPlayerPrefs(string SaveKey = "YarnBasicSave")
```

## Remarks

This method serializes all variables in [VariableStorage](/2.3/api/csharp/yarn.unity/yarn.unity.dialoguerunner/yarn.unity.dialoguerunner.variablestorage.md) into a string containing JSON, and then stores that string in the `UnityEngine.PlayerPrefs` object under the key `SaveKey`.

The stored information can be restored via the [LoadStateFromPlayerPrefs(string)](/2.3/api/csharp/yarn.unity/yarn.unity.dialoguerunner/yarn.unity.dialoguerunner.loadstatefromplayerprefs.md) method.

## Parameters

| Name             | Description                                |
| ---------------- | ------------------------------------------ |
| `string` SaveKey | The key to use when storing the variables. |

## See Also

* [VariableStorageBehaviour.GetAllVariables()](/2.3/api/csharp/yarn.unity/yarn.unity.variablestoragebehaviour/yarn.unity.variablestoragebehaviour.getallvariables.md): Provides a unified interface for exporting all variables. Intended to be a point for custom saving, editors, etc.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.3/api/csharp/yarn.unity/yarn.unity.dialoguerunner/yarn.unity.dialoguerunner.savestatetoplayerprefs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
